| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1011AB.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2496: 16-Bit 8-/16-Channel Delta Sigma ADC with Easy Drive Input Current Cancellation

Linear Technology DC1011A-B Demonstration Board. More...

## Detailed Description

Linear Technology DC1011A-B Demonstration Board.

LTC2496: 16-Bit 8-/16-Channel Delta Sigma ADC with Easy Drive Input Current Cancellation

    NOTES
      Setup:
        Set the terminal baud rate to 115200 and select the newline terminator.
        Equipment required is a precision voltage source and a precision
        voltmeter. No external power supply is required. Ensure all jumpers on
        the demo board are installed in their default positions from the
        factory.

      How to test Single-Ended mode:
        The voltage source should be connected to the ADC such that the negative
        lead is connected to COM. The positive lead may be connected to any
        channel input. Ensure voltage is within analog input voltage range -2.5V to
        +2.5V.

      How to test Differential Mode:
        The voltage source should be connected with positive and negative leads to
        paired channels. The voltage source negative output must also be connected to
        the COM pin in order to provide a ground-referenced voltage. Ensure voltage is
        within analog input voltage range -2.5V to +2.5V. Swapping input voltages
        results in a reversed polarity reading.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2496

http://www.linear.com/product/LTC2496#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1011AB.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_user_command (uint8_t menu)
| Display selected differential channels. More...
static uint8_t | menu_1_read_single_ended ()
| read from ADC single-ended More...
static uint8_t | menu_2_read_differential ()
| Read channels in differential mode. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static float | reference_voltage = 5
| The reference voltage range, set to 5v through JP2 and JP3 by default. More...
const uint16_t | MISO_TIMEOUT = 1000
| The MISO timeout (ms) More...
const uint8_t | BUILD_COMMAND_SINGLE_ENDED [16]
| Builds the command for single-ended mode. More...
const uint8_t | BUILD_COMMAND_DIFF [16]

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 166 of file DC1011AB.ino.

## ◆ menu_1_read_single_ended()

static uint8_t menu_1_read_single_ended | ( |  | ) |
| static

read from ADC single-ended

Returns
  0 if successful, 1 if failure
  0 when m is entered into menu, 1 if timeout for EOC

Definition at line 230 of file DC1011AB.ino.

## ◆ menu_2_read_differential()

static uint8_t menu_2_read_differential | ( |  | ) |
| static

Read channels in differential mode.

Returns
  0 when m is entered into menu, 1 if timeout for EOC

Definition at line 308 of file DC1011AB.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 218 of file DC1011AB.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 202 of file DC1011AB.ino.

## ◆ print_user_command()

static void print_user_command | ( | uint8_t | menu | ) |
| static

Display selected differential channels.

Displaying Single-Ended channels is straightforward; not so with differential because the inputs can take either polarity.

Parameters

  menu | the selected channels

Definition at line 398 of file DC1011AB.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 148 of file DC1011AB.ino.

## Variable Documentation

## ◆ BUILD_COMMAND_DIFF

const uint8_t BUILD_COMMAND_DIFF[16]

Initial value:
= { LTC2496_P0_N1,
LTC2496_P2_N3,
LTC2496_P4_N5,
LTC2496_P6_N7,
LTC2496_P8_N9,
LTC2496_P10_N11,
LTC2496_P12_N13,
LTC2496_P14_N15,
LTC2496_P1_N0,
LTC2496_P3_N2,
LTC2496_P5_N4,
LTC2496_P7_N6,
LTC2496_P9_N8,
LTC2496_P11_N10,
LTC2496_P13_N12,
LTC2496_P15_N14
}
LTC2496_P15_N14
#define LTC2496_P15_N14
Definition: LTC2496.h:177
LTC2496_P10_N11
#define LTC2496_P10_N11
Definition: LTC2496.h:170
LTC2496_P13_N12
#define LTC2496_P13_N12
Definition: LTC2496.h:174
LTC2496_P0_N1
#define LTC2496_P0_N1
Definition: LTC2496.h:155
LTC2496_P5_N4
#define LTC2496_P5_N4
Definition: LTC2496.h:162
LTC2496_P9_N8
#define LTC2496_P9_N8
Definition: LTC2496.h:168
LTC2496_P4_N5
#define LTC2496_P4_N5
Definition: LTC2496.h:161
LTC2496_P11_N10
#define LTC2496_P11_N10
Definition: LTC2496.h:171
LTC2496_P7_N6
#define LTC2496_P7_N6
Definition: LTC2496.h:165
LTC2496_P2_N3
#define LTC2496_P2_N3
Definition: LTC2496.h:158
LTC2496_P6_N7
#define LTC2496_P6_N7
Definition: LTC2496.h:164
LTC2496_P8_N9
#define LTC2496_P8_N9
Definition: LTC2496.h:167
LTC2496_P3_N2
#define LTC2496_P3_N2
Definition: LTC2496.h:159
LTC2496_P12_N13
#define LTC2496_P12_N13
Definition: LTC2496.h:173
LTC2496_P14_N15
#define LTC2496_P14_N15
Definition: LTC2496.h:176
LTC2496_P1_N0
#define LTC2496_P1_N0
Definition: LTC2496.h:156

Definition at line 128 of file DC1011AB.ino.

## ◆ BUILD_COMMAND_SINGLE_ENDED

const uint8_t BUILD_COMMAND_SINGLE_ENDED[16]

Initial value:
= {LTC2496_CH0,
LTC2496_CH1,
LTC2496_CH2,
LTC2496_CH3,
LTC2496_CH4,
LTC2496_CH5,
LTC2496_CH6,
LTC2496_CH7,
LTC2496_CH8,
LTC2496_CH9,
LTC2496_CH10,
LTC2496_CH11,
LTC2496_CH12,
LTC2496_CH13,
LTC2496_CH14,
LTC2496_CH15
}
LTC2496_CH13
#define LTC2496_CH13
Definition: LTC2496.h:215
LTC2496_CH14
#define LTC2496_CH14
Definition: LTC2496.h:216
LTC2496_CH4
#define LTC2496_CH4
Definition: LTC2496.h:206
LTC2496_CH3
#define LTC2496_CH3
Definition: LTC2496.h:205
LTC2496_CH11
#define LTC2496_CH11
Definition: LTC2496.h:213
LTC2496_CH10
#define LTC2496_CH10
Definition: LTC2496.h:212
LTC2496_CH7
#define LTC2496_CH7
Definition: LTC2496.h:209
LTC2496_CH15
#define LTC2496_CH15
Definition: LTC2496.h:217
LTC2496_CH8
#define LTC2496_CH8
Definition: LTC2496.h:210
LTC2496_CH5
#define LTC2496_CH5
Definition: LTC2496.h:207
LTC2496_CH1
#define LTC2496_CH1
Definition: LTC2496.h:203
LTC2496_CH6
#define LTC2496_CH6
Definition: LTC2496.h:208
LTC2496_CH12
#define LTC2496_CH12
Definition: LTC2496.h:214
LTC2496_CH9
#define LTC2496_CH9
Definition: LTC2496.h:211
LTC2496_CH2
#define LTC2496_CH2
Definition: LTC2496.h:204
LTC2496_CH0
#define LTC2496_CH0
Definition: LTC2496.h:202

Builds the command for single-ended mode.

Definition at line 109 of file DC1011AB.ino.

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 103 of file DC1011AB.ino.

## ◆ MISO_TIMEOUT

const uint16_t MISO_TIMEOUT = 1000

The MISO timeout (ms)

Definition at line 107 of file DC1011AB.ino.

## ◆ reference_voltage

float reference_voltage = 5
| static

The reference voltage range, set to 5v through JP2 and JP3 by default.

Definition at line 104 of file DC1011AB.ino.